Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 553210 - Review Request: nanny - Parental Control
Summary: Review Request: nanny - Parental Control
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-01-07 12:31 UTC by Rahul Sundaram
Modified: 2013-03-13 05:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:29:17 UTC


Attachments (Terms of Use)
nanny.spec-2.29.4.patch (deleted)
2010-07-14 14:15 UTC, Jens Petersen
no flags Details | Diff

Description Rahul Sundaram 2010-01-07 12:31:58 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/nanny.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/nanny-2.29.1-1.fc13.src.rpm
Description: 

Nanny is an easy way to control what your kids are doing in the computer. You 
can limit how much time a day each one of them is browsing the web, chatting or doing email. You can decide at which times of the day the can do this things as well. Gnome Nanny filters what web pages are seen by each user, so you can block all undesirable webs and have your kids enjoy the internet.

--

There are a few issues as seen via rpmlint that needs to be fixed. I will work on it.

Comment 1 Rahul Sundaram 2010-01-08 19:16:30 UTC
D-Bus issue

http://fpaste.org/pEKp/

Content of configuration file

http://fpaste.org/xga4/

Comment 2 Fabian Affolter 2010-01-13 09:57:38 UTC
The URL in the spec file still points to your template ;-)

Comment 3 Matthias Clasen 2010-02-24 15:01:35 UTC
There is a new release out. I got the UI to work by 

changing 

               widget_name = content.get_name ()

in /usr/lib/python-2.6/site-packages/nanny/client/common/Utils.py

to

               widget_name = gtk.Buildable.get_name (content)

After that, the various UIs come up, and the daemon can be started with

sudo /usr/bin/twistd --uid root --gid root -r glib2 -n -y /usr/share/nanny/daemon/nanny.tap

However, I haven't seen it do anything. Ie forbidding myself web access didn't have any consequences, as far as using my web brower...

Comment 4 Matthias Clasen 2010-02-27 05:32:02 UTC
A few more notes from poking at the code a bit:

- controlling e.g web browsing works by modifying iptables - which is why I didn't see any control happening, I had the firewall turned off. Two things to take away here: 1) nanny should require iptables to be running, and 2) what about ip6tables ? 

- controlling computer use time is done in two ways: 1) by tweaking /etc/pam.d/gdm - which is not right for our multistack gdm, which uses different pam stacks..., and 2) by trying to talk to existing user sessions in a really gross way - this should be done via some ConsoleKit api instead, really

Comment 5 Jens Petersen 2010-07-14 14:15:37 UTC
Created attachment 431785 [details]
nanny.spec-2.29.4.patch

- update spec to 2.29.4

untested but builds at least

Comment 6 Jason Tibbitts 2010-11-16 20:07:29 UTC
Did anything ever happen with this ticket?  Could potential reviewers get an updated package to look at?


Note You need to log in before you can comment on or make changes to this bug.